Vimperator does not work in lucid and karmic: iceweasel vs. firefox

Bug #514438 reported by Kjell L. on 2010-01-29
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
vimperator (Ubuntu)
Medium
Unassigned

Bug Description

The vimperator package in lucid and karmic does not work. In lucid the depends change but installed files seems to be the same in karmic. Karmic depends on iceweasel. Of course Ubuntu use Firefox not Iceweasel.

ProblemType: Bug
Architecture: amd64
Date: Fri Jan 29 19:16:09 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
NonfreeKernelModules: nvidia
Package: firefox-vimperator (not installed)
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-12.16-generic
SourcePackage: vimperator
Uname: Linux 2.6.32-12-generic x86_64

Steve McGrath (smcgrath23) wrote :

Confirmed. Maybe this can be patched to depend on firefox instead, I'll look into it over the weekend.

Changed in vimperator (Ubuntu):
status: New → Confirmed
Steve McGrath (smcgrath23) wrote :

Well, it seems that the lucid version was changed to depend on firefox rather than iceweasel, but it only installs files under /usr/share/doc/firefox-vimperator:

AUTHORS
NEWS.gz
TODO.gz
changelog.Debian.gz
copyright

Wow one useless package. Good thing is that I can download and install
it locally through Mozilla.
The package should either be removed or fixed. Whatever comes first :)

On 8 February 2010 16:41, Steve McGrath <email address hidden> wrote:
> Well, it seems that the lucid version was changed to depend on firefox
> rather than iceweasel, but it only installs files under /usr/share/doc
> /firefox-vimperator:
>
> AUTHORS
> NEWS.gz
> TODO.gz
> changelog.Debian.gz
> copyright
>
> --
> Vimperator does not work in lucid and karmic.
> https://bugs.launchpad.net/bugs/514438
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “vimperator” package in Ubuntu: Confirmed
>
> Bug description:
> The vimperator package in lucid and karmic does not work. In lucid the depends change but installed files seems to be the same in karmic. Karmic depends on iceweasel. Of course Ubuntu use Firefox not Iceweasel.
>
> ProblemType: Bug
> Architecture: amd64
> Date: Fri Jan 29 19:16:09 2010
> DistroRelease: Ubuntu 10.04
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: nvidia
> Package: firefox-vimperator (not installed)
> ProcEnviron:
>  LANG=en_GB.utf8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-12.16-generic
> SourcePackage: vimperator
> Uname: Linux 2.6.32-12-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/vimperator/+bug/514438/+subscribe
>

This really burns me because I dual boot Debian and Ubuntu (both using the same /home partition) so I cannot do the Mozilla local install. I really needed this package. I guess I'll have to wait until lucid...so lame.

Just install it manual.....

On 14 February 2010 01:21, Robert Massaioli <email address hidden> wrote:
> This really burns me because I dual boot Debian and Ubuntu (both using
> the same /home partition) so I cannot do the Mozilla local install. I
> really needed this package. I guess I'll have to wait until lucid...so
> lame.
>
> --
> Vimperator does not work in lucid and karmic.
> https://bugs.launchpad.net/bugs/514438
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “vimperator” package in Ubuntu: Confirmed
>
> Bug description:
> The vimperator package in lucid and karmic does not work. In lucid the depends change but installed files seems to be the same in karmic. Karmic depends on iceweasel. Of course Ubuntu use Firefox not Iceweasel.
>
> ProblemType: Bug
> Architecture: amd64
> Date: Fri Jan 29 19:16:09 2010
> DistroRelease: Ubuntu 10.04
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
> NonfreeKernelModules: nvidia
> Package: firefox-vimperator (not installed)
> ProcEnviron:
>  LANG=en_GB.utf8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-12.16-generic
> SourcePackage: vimperator
> Uname: Linux 2.6.32-12-generic x86_64
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/vimperator/+bug/514438/+subscribe
>

--
--
KL

I believe I've found the problem here. The debian/firefox-vimperator.install file is still copying the installed files to usr/lib/iceweasel/... instead of usr/lib/firefox/...

I'll see if I can get this fixed, if no one else does.

Kjell L. (lkjell) wrote :

Would it be better to install it to the mozilla folder?

Kjell L. (lkjell) on 2010-02-19
Changed in vimperator (Ubuntu):
assignee: nobody → Kjell L. (lkjell)
Kjell L. (lkjell) on 2010-02-19
Changed in vimperator (Ubuntu):
assignee: Kjell L. (lkjell) → nobody
Daniel Hahler (blueyed) on 2010-04-30
Changed in vimperator (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → Medium
assignee: nobody → Daniel Hahler (blueyed)
status: In Progress → Triaged
assignee: Daniel Hahler (blueyed) → nobody
summary: - Vimperator does not work in lucid and karmic.
+ Vimperator does not work in lucid and karmic: iceweasel vs. firefox
Daniel Hahler (blueyed) wrote :

Alexander, I've subscribed you to this bug: can you please point us in the right direction to fix this?
Should we have a delta in Ubuntu to build firefox-vimperator instead, with changed Depends and rules file (file paths), or is there another method to handle this?
It must surely affect other extensions, too.

LeGreffier (ylamouroux) wrote :

The vimperator package doesn't exist anymore in lucid.
Can this bug be closed?

François Marier (fmarier) wrote :

Vimperator was removed from Ubuntu.

Changed in vimperator (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers